Bug 2227 - [UPDATE REQUEST] xine-lib 1.2.2 -> 1.2.3
: [UPDATE REQUEST] xine-lib 1.2.2 -> 1.2.3
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-18 13:32 MSD by Andrey Bondrov
Modified: 2014-10-16 17:26 MSD (History)
3 users (show)

See Also:
RPM Package: xine-lib
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2013-06-18 13:32:25 MSD
New version of xine-lib is released.
Comment 1 Andrey Bondrov 2013-06-18 13:34:02 MSD
Advisory: 
"New version 1.2.3. Changes since 1.2.2:
  * Add VAAPI HW decoding support
  * Add OpenGL 2.0 output plugin
  * Add crop support to XShm output plugins
  * Add color matrix and full range support to OpenGL/Xv/XShm output plugins
  * Add test image generator input plugin
  * Add fast libjpeg based JPEG decoder
  * Add max. Xv image size detection to Xv video output plugin
  * Fix crash when trying to display too large jpeg image with Xv output plugin
  * Fix possible crash when stopping playback with deinterlacing enabled
  * Support large PAT in MPEG TS
  * Handle EAC3 audio (via ffmpeg)"

Main:
https://abf.rosalinux.ru/build_lists/1156638
https://abf.rosalinux.ru/build_lists/1156639

Restricted:
https://abf.rosalinux.ru/build_lists/1156636
https://abf.rosalinux.ru/build_lists/1156637
Comment 2 Vladimir Potapov 2013-07-12 15:59:34 MSD
after update xine don't play any file and hangs (for i686 test system)
****************
Denied
Comment 3 Andrey Bondrov 2013-07-12 16:29:35 MSD
(In reply to comment #2)
> after update xine don't play any file and hangs (for i686 test system)
> ****************
> Denied

Looks like kaffeine is the only player that uses xine codecs and works fine with older version (1.2.2). Can you please test if it works with 1.2.3?
Comment 4 Vladimir Potapov 2013-07-12 18:15:38 MSD
I use xine player for testes. It't default player for DVD in KDEnlive. It work with 1.2.2 and don't work 1.2.3.
Comment 5 Andrey Bondrov 2013-07-12 19:17:58 MSD
(In reply to comment #4)
> I use xine player for testes. It't default player for DVD in KDEnlive. It
> work with 1.2.2 and don't work 1.2.3.

Sounds bad because I cannot reproduce this issue (so I cannot investigate how to fix it). Xine seems to work fine with 32 bit PLF version of xine-lib 1.2.3 for me.

Can you please provide your list of xine packages (rpm -qa | grep xine)?

BTW, xine player cannot display russian interface properly, perhaps it must be fixed as well. I'll try to find a way to do it.
Comment 6 Andrey Bondrov 2013-07-12 20:05:02 MSD
(In reply to comment #5)
> BTW, xine player cannot display russian interface properly, perhaps it must
> be fixed as well. I'll try to find a way to do it.

Can you please test xine-ui-0.99.7-4? 

https://abf.rosalinux.ru/build_lists/1180449
https://abf.rosalinux.ru/build_lists/1180450

Encoding for russian locale in right-click menu should be fixed now. And I hope there will be no side-effects...
Comment 7 Postnikov Dmitry 2013-08-03 23:48:59 MSD
(In reply to comment #1)
> Advisory: 
> "New version 1.2.3. Changes since 1.2.2:
> 
> Main:
> https://abf.rosalinux.ru/build_lists/1156638
> https://abf.rosalinux.ru/build_lists/1156639
> 
> Restricted:
> https://abf.rosalinux.ru/build_lists/1156636
> https://abf.rosalinux.ru/build_lists/1156637

Please rebuild... container not found. (Error 404)
Comment 8 Denis Silakov 2014-10-16 17:26:49 MSD
xine-lib was updated to newer version, but we forgot to close this one.